# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/black-19.10b0-on-linux_canary, last modified Thu Feb 20 16:23:42 2020
# ------------------------------------------------

package:
    name: black
    version: 19.10b0
source:
    sha256: c2edb73a08e9e0e6f65a0e6af18b059b8b1cdd5bef997d7a0b181df93dc81539
    url: https://pypi.io/packages/source/b/black/black-19.10b0.tar.gz
build:
    entry_points:
        - black = black:main
    noarch: python
    number: '0'
    script: /tmp/build/80754af9/black_1582215953619/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
        -m pip install . --no-deps -vv
    string: py_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2020.1.1 0
        - certifi 2019.11.28 py38_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_4
        - pip 20.0.2 py38_1
        - python 3.8.1 h0371630_1
        - readline 7.0 h7b6447c_5
        - setuptools 45.2.0 py38_0
        - setuptools_scm 3.4.3 py_0
        - sqlite 3.31.1 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.34.2 py38_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - appdirs
        - attrs >=18.1.0
        - click >=6.5
        - mypy_extensions
        - pathspec
        - python >=3.6
        - regex
        - toml >=0.9.4
        - typed-ast
        - typing_extensions
test:
    commands:
        - black --help
about:
    description: 'Black is the uncompromising Python code formatter. By using it,
        you agree

        to cease control over minutiae of hand-formatting. In return, Black gives

        you speed, determinism, and freedom from pycodestyle nagging about

        formatting. You will save time and mental energy for more important matters.

        '
    dev_url: https://github.com/python/black
    doc_url: https://github.com/python/black
    home: https://github.com/python/black
    license: MIT
    license_family: MIT
    license_file: LICENSE
    summary: The Uncompromising Code Formatter
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - ambv
        - carlodri
        - mariusvniekerk
        - xhochy
